const presets = [
  [
    '@babel/typescript'
  ],
  [
    '@babel/env',
    {
      useBuiltIns: 'entry',
      corejs: 'core-js@3',
      targets: {
        // esmodules: false,
        browsers: ['ie 11', 'last 2 Chrome versions'],
      },
    },
  ],
];

const plugins = [
  '@babel/proposal-class-properties',
  '@babel/proposal-object-rest-spread',
  '@babel/plugin-transform-runtime'
];

// https://stackoverflow.com/questions/60395262/webpack-and-babel-not-transpiling-a-dependency-inside-node-modules-that-breaks-i
const overrides = [{
  test: './node_modules',
  sourceType: 'unambiguous'
}];

module.exports = { presets, plugins, overrides };
